For the complete documentation index, see llms.txt. This page is also available as Markdown.

Checks the Invoice from GTB

Faturayı Gtb den kontrol eder.

get
Authorizations
HTTPRequired

API Key Giriniz

Path parameters
UUIDstring · uuidRequired
Responses
200

Faturayı Gtb den kontrol eder.

application/json
UUIDstring · nullableOptional
GTB_REFNOstring · nullableOptional
GTB_GCB_TESCILNOstring · nullableOptional
GTB_FIILI_IHRACAT_TARIHIstring · nullableOptional
GTB_CEVAP_NOTUstring · nullableOptional
get/Sale/{UUID}/CheckFromGtb
GET /einvoice/Sale/{UUID}/CheckFromGtb HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "UUID": "text",
  "GTB_REFNO": "text",
  "GTB_GCB_TESCILNO": "text",
  "GTB_FIILI_IHRACAT_TARIHI": "text",
  "GTB_CEVAP_NOTU": "text"
}
var client = new RestClient("https://apitest.nilvera.com/einvoice/Sale/ea047f3a-009f-4811-bf3c-eb87207552cd/CheckFromGtb");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
request.AddHeader("Content-Type", "application/json");
var body = @"["22d6b2ca-ba6b-47dc-a07e-846cc0e51a0e"]";
request.AddParameter("application/json", body,  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/einvoice/Sale/ea047f3a-009f-4811-bf3c-eb87207552cd/CheckFromGtb',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_POSTFIELDS =>'[
  "22d6b2ca-ba6b-47dc-a07e-846cc0e51a0e"
]',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>',
    'Content-Type: application/json'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated